View Issue Details

IDProjectCategoryLast Update
0019207AI War 2[All Projects] SuggestionOct 3, 2017 11:31 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.503 Nanocaust + Test And Revise Pass #2 
Fixed in Version 
Summary0019207: Include "description" in bottom left menu (and already has a fix)
DescriptionI think it would be useful to show the Description field from GameEntity for any hovered entity. There are some (the structures that convert between resources on a player planet, like Auxiliary mine) that I always get confused.

This code in Window_InGameBottomLeftInfo.cs should provide it:
                         buffer.Add( relatedEntity.Side.WorldSide.TeamColor.InternalName );
                         buffer.Add( ")" );
                         buffer.Add( "\n" ).Add( relatedEntity.WorldLocation.ToString() );
+ if(!relatedEntity.TypeData.Description.Equals( "~*~")) //don't show empty descriptions; ~*~ seems the default for things without descriptions
+ buffer.Add( "\nDescription: " ).Add( relatedEntity.TypeData.Description );
                         if ( relatedEntity.TypeData.Category == GameEntityCategory.Ship )
                         {
                             buffer.Add( "\n" ).Add("Hull: ").Add( relatedEntity.GetCurrentHullPoints() ).Add( "/" ).Add( relatedEntity.TypeData.BalanceStats.HullPoints );
TagsNo tags attached.

Activities

BadgerBadger

Sep 11, 2017 10:31 am

reporter   ~0046469

Fixed

Issue History

Date Modified Username Field Change
Jul 27, 2017 11:11 pm BadgerBadger New Issue
Jul 30, 2017 11:13 pm BadgerBadger Description Updated View Revisions
Sep 11, 2017 10:31 am BadgerBadger Note Added: 0046469
Oct 3, 2017 11:31 am x4000Bughunter Assigned To => keith.lamothe
Oct 3, 2017 11:31 am x4000Bughunter Status new => resolved
Oct 3, 2017 11:31 am x4000Bughunter Resolution open => fixed